Announcement

Collapse
No announcement yet.

Dota 2 Radeon OpenGL vs. Vulkan Performance With Mesa Git, Linux 4.9-rc1

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #51
    Originally posted by Michael View Post
    ... as also been reworking to override Talos Principle's habit of resetting defaults on driver/GPU changes.
    Serious Engine and Talos has a lot of cvars... '+prj_bStartupAutoDetection 0' should disable that.

    Comment


    • #52
      Originally posted by finalzone View Post

      I can help on that part and am willing to test support for CIK and SI as I own a hybrid laptop running on R7 M265DX aka Radeon R6 from the kernel + R5 M230 Jetpro. Using both Mystro256's repository and building a custom kernel due to a bug related on Boot EC, the CIK on kernel 4.8 is fine but the SI side keep on crashing when using amdgpu module.
      Vulkan support is currently broken at the moment
      Code:
      $ vulkaninfo
      ===========
      VULKAN INFO
      ===========
      
      Vulkan API Version: 1.0.26
      
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_image.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_unique_objects.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_swapchain.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_object_tracker.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_core_validation.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_threading.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_parameter_validation.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_image.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_unique_objects.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_swapchain.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_object_tracker.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_core_validation.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_threading.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_parameter_validation.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /etc/vulkan/icd.d/radeon_icd.json, version "1.0.0"
      INFO: [loader] Code 0 : Found manifest file /etc/vulkan/icd.d/anv_icd.json, version "1.0.0"
      
      Instance Extensions:
      ====================
      Instance Extensions count = 3
      VK_KHR_surface : extension revision 25
      VK_KHR_xcb_surface : extension revision 5
      VK_EXT_debug_report : extension revision 3
      /builddir/build/BUILD/Vulkan-LoaderAndValidationLayers-sdk-1.0.26.0/demos/vulkaninfo.c:1418: failed with VK_ERROR_INITIALIZATION_FAILED
      I will test a custom kernel 4.9 when it will be successful to build.
      Same error I had when a vulkan-intel package was installed. See if that package is installed and try removing it if you don't need it.

      Comment

      Working...
      X